## ffmpeg 6.0

=== debian/changelog ===
ffmpeg (7:6.0-6ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 23 Aug 2023 20:33:31 +0200

ffmpeg (7:6.0-6) unstable; urgency=medium

  * debian/libavutils58.symbols: Fix version for avpriv symbols
  * debian/: Enable rav1e on riscv64
  * debian/rules: Build static libraries with PIC enabled

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 23 Aug 2023 10:24:18 +0200

ffmpeg (7:6.0-5ubuntu2) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 01 Aug 2023 15:39:23 +0200

ffmpeg (7:6.0-5) unstable; urgency=medium

  * debian/patches: Apply upstream patches for libplacebo 6.292 (Closes:
    #1042812)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 01 Aug 2023 13:32:04 +0200

ffmpeg (7:6.0-4ubuntu2) mantic; urgency=medium

  * Rebuild against new libplacebo292.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 01 Aug 2023 10:32:31 +0200

ffmpeg (7:6.0-4ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Jul 2023 20:13:26 +0200

ffmpeg (7:6.0-4) unstable; urgency=medium

  * Upload to unstable
  * debian/tests: No longer test svq1 codec with matroska.
  * debian/patches: Fix build of examples

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 27 Jul 2023 08:58:41 +0200

ffmpeg (7:6.0-3) experimental; urgency=medium

  * debian/tests: No longer test deprecated ayuv codec
  * debian/patches: Fix build with binutils 2.41
  * debian/: Remove handling of kfreebsd

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 17 Jul 2023 22:22:59 +0200

ffmpeg (7:6.0-2) experimental; urgency=medium

  * debian/: Produce tight dependencies only for internal use of avpriv
    symbols (Closes: #1034315)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 13 Apr 2023 23:24:21 +0200

ffmpeg (7:6.0-1) experimental; urgency=medium

  * New upstream version 6.0
  * SONAME bumps
    - libavcodec59 -> libavcodec60
    - libavdevice59 -> libavdevice60
    - libavfilter8 -> libavfilter9
    - libavformat59 -> libavformat60
    - libavutil57 -> libavutil58
    - libpostproc56 -> libpostproc57
    - libswscale6 -> libswscale7
  * debian/patches: Remove patches included upstream
  * debian/gbp.conf: Work in debian/experimental
  * debian/: Build with oneVPL support (Closes: #1023718)
  * debian/control: Remove lbgl1-mesa-dev from Build-Depends
  * debian/copyright:
    - Update copyright years
    - Update file paths

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 05 Mar 2023 15:47:45 +0100

ffmpeg (7:5.1.3-2ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 22 Jul 2023 07:59:34 +0200

ffmpeg (7:5.1.3-1ubuntu4) mantic; urgency=medium

  * debian/patches/031f1561cd286596cdb374da32f8aa816ce3b135.patch:
  * debian/patches/1c6fd7d756afe0f8b7df14dbf7a95df275f8f5ee.patch:
    - cherry-pick upstream patches for new libcodec2-1.1
  * ffmpeg-remove-x86-optimization.patch: cherry-pick build fix with newer
    binutils from qtwebengine-opensource-src

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 18 Jul 2023 08:38:24 +0200

ffmpeg (7:5.1.3-1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 May 2023 08:50:08 +0200
