=== debian/control ===
--- 
+++ 
@@ -68,7 +68,7 @@
 # --enable-fribidi
  libfribidi-dev,
 # --enable-opengl
- libgl1-mesa-dev | libgl-dev,
+ libgl-dev,
 # --enable-libgme
  libgme-dev,
 # --enable-gnutls
@@ -82,13 +82,11 @@
 # --enable-libjack
  libjack-jackd2-dev,
 # --enable-libjxl
- libjxl-dev [!alpha],
+ libjxl-dev [!alpha !i386],
 # --enable-lv2
  liblilv-dev,
 # autodetected for the tiff decoder
  liblzma-dev,
-# --enable-libmfx
- libmfx-dev [amd64],
 # --enable-libmp3lame
  libmp3lame-dev,
 # --enable-libmysofa
@@ -110,19 +108,19 @@
 # --enable-libplacebo
  libplacebo-dev (>= 4.192) [linux-any] <!pkg.ffmpeg.stage1>,
 # --enable-pocketsphinx
- libpocketsphinx-dev (>= 0.8+5prealpha+1-7~) [!alpha !hppa !ia64 !m68k !mipsel !mips64el !powerpc !ppc64 !s390x !sparc64],
+ libpocketsphinx-dev (>= 0.8+5prealpha+1-7~) [!i386 !alpha !hppa !ia64 !m68k !mipsel !mips64el !powerpc !ppc64 !s390x !sparc64],
 # --enable-libpulse
  libpulse-dev,
 # --enable-librabbitmq
  librabbitmq-dev,
 # --enable-librav1e
- librav1e-dev [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !riscv64 !sh4 !sparc64 !x32] <!pkg.ffmpeg.stage1>,
+ librav1e-dev [!alpha !hppa !hurd-i386 !i386 !ia64 !m68k !sh4 !sparc64 !x32] <!pkg.ffmpeg.stage1>,
 # --enable-librist
  librist-dev,
 # --enable-librubberband
  librubberband-dev,
 # --enable-librsvg
- librsvg2-dev [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !sh4 !x32],
+ librsvg2-dev [!alpha !hppa !hurd-i386 !ia64 !m68k !sh4 !x32],
 # autodetected: protocol 'sctp'
  libsctp-dev [linux-any],
 # --enable-sdl2
@@ -162,6 +160,8 @@
  libvo-amrwbenc-dev,
 # --enable-libvorbis
  libvorbis-dev,
+# --enable-libvpl
+ libvpl-dev [amd64],
 # --enable-libvpx
  libvpx-dev,
 # autodetected: vulkan
@@ -194,20 +194,13 @@
  ocl-icd-opencl-dev | opencl-dev,
 # used to detect libraries
  pkg-config,
- linux-libc-dev,
 # HTML documentation
  texinfo,
 # assembler optimizations
  nasm,
  pkg-kde-tools,
 # autodetected zlib
- zlib1g-dev,
- libepoxy-dev,
- libxcb-dri3-dev,
- libxcb1-dev,
- libx11-dev,
- libx11-xcb-dev,
- libdrm-dev
+ zlib1g-dev
 
 Package: ffmpeg
 Architecture: any
@@ -247,7 +240,7 @@
  framework including the API documentation created by doxygen and the manpages
  for the libraries.
 
-Package: libavcodec59
+Package: libavcodec60
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -274,12 +267,12 @@
  .
  This package contains the runtime files.
 
-Package: libavcodec-extra59
+Package: libavcodec-extra60
 Architecture: any
 Section: libs
 Multi-Arch: same
-Conflicts: libavcodec59
-Provides: libavcodec59 (= ${binary:Version})
+Conflicts: libavcodec60
+Provides: libavcodec60 (= ${binary:Version})
 Depends:
  ${shlibs:Depends},
  ${misc:Depends}
@@ -301,7 +294,7 @@
  to DSP optimizations, and makes it suitable for implementing robust and fast
  codecs as well as for experimentation.
  .
- This package replaces the libavcodec58 package and contains the
+ This package replaces the libavcodec60 package and contains the
  following additional codecs:
  .
   * ARIB STD-B24 Captions (Subtitle Decoder)
@@ -318,7 +311,7 @@
 Section: metapackages
 Multi-Arch: same
 Depends:
- libavcodec-extra59 (= ${binary:Version}),
+ libavcodec-extra60 (= ${binary:Version}),
  ${misc:Depends}
 Description: FFmpeg library with extra codecs (metapackage)
  FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
@@ -335,7 +328,7 @@
 Section: libdevel
 Multi-Arch: same
 Depends:
- libavcodec59 (= ${binary:Version}),
+ libavcodec60 (= ${binary:Version}),
  libavutil-dev (= ${binary:Version}),
  libswresample-dev (= ${binary:Version}),
  ${misc:Depends}
@@ -355,7 +348,7 @@
  .
  This package contains the development files.
 
-Package: libavdevice59
+Package: libavdevice60
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -380,7 +373,7 @@
 Multi-Arch: same
 Depends:
  libavcodec-dev (= ${binary:Version}),
- libavdevice59 (= ${binary:Version}),
+ libavdevice60 (= ${binary:Version}),
  libavfilter-dev (= ${binary:Version}),
  libavformat-dev (= ${binary:Version}),
  libavutil-dev (= ${binary:Version}),
@@ -388,3 +381,5 @@
  libswscale-dev (= ${binary:Version}),
  libswresample-dev (= ${binary:Version}),
  ${misc:Depends}
+Description: FFmpeg library for handling input and output devices - development files
+ FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
