=== debian/rules ===
--- 
+++ 
@@ -23,10 +23,11 @@
 CONFIG := --prefix=/usr \
 	--extra-version="$(DEB_REVISION)" \
 	--toolchain=hardened \
+	--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 	--incdir=/usr/include/$(DEB_HOST_MULTIARCH) \
+	--arch=$(DEB_HOST_ARCH_CPU) \
 	--enable-gpl \
 	--disable-stripping \
-	--disable-mmal\
 	--enable-gnutls \
 	--enable-ladspa \
 	--enable-libaom \
@@ -78,100 +79,50 @@
 	--enable-openal \
 	--enable-opencl \
 	--enable-opengl \
-	--enable-sand \
 	--enable-sdl2
 
 # disable sndio, it's pulled in via libopenal-dev and autodetected
 CONFIG += --disable-sndio
 
-# avoid libjxl on alpha for now
-ifneq (alpha,$(DEB_HOST_ARCH))
-CONFIG += --enable-libjxl
-endif
-
-ifeq ($(DEB_HOST_ARCH),armhf)
-	FLAVORS += standard_v7 extra_v7 static_v7
-	CONFIG += --enable-neon \
-		--enable-v4l2-request\
-		--enable-libudev \
-		--enable-epoxy
-
-	CONFIG_v6 = --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
-		--cpu=arm1176jzf-s \
-		--arch=arm
-	CONFIG_v7 = --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)/neon/vfp \
-		--cpu=cortex-a7 \
-		--arch=armv6t2 \
-		--disable-thumb
-	CONFIG_standard_v7 = $(CONFIG_v7) \
-		--enable-shared \
-		--disable-doc \
-		--disable-programs
-	CONFIG_extra_v7 = $(CONFIG_standard_v7) \
-		--enable-version3 \
-		--disable-doc \
-		--disable-programs \
-		--enable-libopencore_amrnb \
-		--enable-libopencore_amrwb \
-		--enable-libtesseract \
-		--enable-libvo_amrwbenc
-	CONFIG_static_v7 = $(CONFIG_v7) \
-		--disable-pic \
-		--disable-doc \
-		--disable-programs
-else ifeq ($(DEB_HOST_ARCH),arm64)
-	CONFIG += --enable-neon \
-		--enable-v4l2-request\
-		--enable-libudev \
-		--enable-epoxy
-
-	CONFIG += --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
-		--arch=$(DEB_HOST_ARCH_CPU)
-else
-	CONFIG += --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
-		--arch=$(DEB_HOST_ARCH_CPU)
-endif
-
-# avoid pocketsphinx on mips (bug#812335), alpha, ia64 and big-endian (bug#968456)
-ifeq (,$(filter mips% alpha ia64,$(DEB_HOST_ARCH))$(filter big,$(DEB_HOST_ARCH_ENDIAN)))
-CONFIG += --enable-pocketsphinx
+# avoid libjxl on alpha and i386 for now
+ifeq (,$(filter i386 alpha,$(DEB_HOST_ARCH)))
+	CONFIG += --enable-libjxl
+endif
+
+# avoid pocketsphinx on mips (bug#812335), alpha, ia64, i386 and big-endian (bug#968456)
+ifeq (,$(filter mips% alpha i386 ia64,$(DEB_HOST_ARCH))$(filter big,$(DEB_HOST_ARCH_ENDIAN)))
+	CONFIG += --enable-pocketsphinx
 endif
 
 # avoid librsvg on almost all ports (bug#983344, bug#991556)
-ifeq (,$(filter alpha hppa hurd-i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k sh4 x32,$(DEB_HOST_ARCH)))
-CONFIG += --enable-librsvg
+ifeq (,$(filter alpha hppa hurd-i386 ia64 m68k sh4 x32,$(DEB_HOST_ARCH)))
+	CONFIG += --enable-librsvg
 endif
 
 ifeq (amd64,$(DEB_HOST_ARCH))
-CONFIG += --enable-libmfx
+	CONFIG += --enable-libvpl \
+		--disable-libmfx
 endif
 
 # The standard configuration only uses the shared CONFIG.
-CONFIG_standard = --enable-shared \
-	$(CONFIG_v6)
+CONFIG_standard = --enable-shared
 
 # Additional features, compatible with effective licensing of GPLv3+
 CONFIG_extra = --enable-shared \
 	--enable-version3 \
 	--disable-doc \
 	--disable-programs \
+	--disable-static \
 	--enable-libaribb24 \
 	--enable-libopencore_amrnb \
 	--enable-libopencore_amrwb \
 	--enable-libtesseract \
-	--enable-libvo_amrwbenc \
-	$(CONFIG_v6)
+	--enable-libvo_amrwbenc
 
 # Do not enable libsmbclient support on hurd-i386
 ifeq (,$(filter hurd-i386,$(DEB_HOST_ARCH)))
 	CONFIG_extra += --enable-libsmbclient
 endif
-
-# The static libraries should not be built with PIC.
-CONFIG_static = --disable-pic \
-	--disable-doc \
-	--disable-programs \
-	$(CONFIG_v6)
 
 # Disable optimizations if requested.
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
@@ -191,7 +142,6 @@
 ifeq (linux,$(DEB_HOST_ARCH_OS))
 	CONFIG += --enable-libdc1394 \
 		--enable-libdrm \
-		--enable-vout-drm \
 		--enable-libiec61883
 endif
 
@@ -216,8 +166,8 @@
 else
 	CONFIG += --disable-libplacebo
 endif
-# Rust not available on most of ports
-ifeq (,$(filter alpha hppa hurd-i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k riscv64 sh4 sparc64 x32,$(DEB_HOST_ARCH)))
+# Rust is not available on most of ports.
+ifeq (,$(filter alpha hppa hurd-i386 i386 ia64 m68k sh4 sparc64 x32,$(DEB_HOST_ARCH)))
 	CONFIG += --enable-librav1e
 else
 	CONFIG += --disable-librav1e
@@ -279,3 +229,37 @@
 	CONFIG += --ignore-tests=checkasm-sw_scale,filter-scale2ref_keep_aspect
 endif
 # https://trac.ffmpeg.org/ticket/9855
+ifneq (,$(filter hppa m68k powerpc sparc64 s390x,$(DEB_HOST_ARCH_CPU)))
+	CONFIG += --ignore-tests=filter-overlay_yuv420p10
+endif
+ifeq (ppc64,$(DEB_HOST_ARCH))
+	CONFIG += --ignore-tests=checkasm-sw_scale,filter-overlay_yuv420p10
+endif
+
+# Set cross-build prefix for compiler, pkg-config...
+ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
+	CONFIG += --cross-prefix=$(DEB_HOST_GNU_TYPE)- \
+		--target-os=$(DEB_HOST_ARCH_OS)
+endif
+
+# Use the default debhelper scripts, where possible.
+%:
+	dh $@ --with pkgkde_symbolshelper
+
+# Add configuration options:
+override_dh_auto_configure: $(patsubst %,configure_%,$(FLAVORS))
+configure_%:
+	$(info $()   debian/rules $@)
+	mkdir -p debian/$*
+	cd debian/$* && ../../configure $(strip $(CONFIG) $(CONFIG_$*)) || (cat ffbuild/config.log && exit 1)
+
+# Remove the subdirectories generated for the flavors.
+override_dh_auto_clean:
+	rm -rf $(patsubst %,debian/%,$(FLAVORS))
+
+# Create doxygen documentation:
+override_dh_auto_build-indep:
+	dh_auto_build -i --sourcedirectory=debian/standard -- apidoc documentation
+	# Create the minified CSS files.
+	#  Due to https://github.com/nodejs/node/issues/14752 where nodejs will
+	#  leave set O_NONBLOCK on stderr, we pipe stderr through cat which will
